// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.36.5
// 	protoc        v5.29.3
// source: internal/module/kubernetes_api/server/watch_aggregator/watch_aggregator.proto

package watch_aggregator

import (
	reflect "reflect"
	sync "sync"
	unsafe "unsafe"

	_ "buf.build/gen/go/bufbuild/protovalidate/protocolbuffers/go/buf/validate"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type WatchRequest struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	WatchId       string                 `protobuf:"bytes,1,opt,name=watch_id,proto3" json:"watch_id,omitempty"`
	Type          string                 `protobuf:"bytes,2,opt,name=type,proto3" json:"type,omitempty"`
	WatchParams   *WatchParams           `protobuf:"bytes,3,opt,name=watch_params,proto3" json:"watch_params,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *WatchRequest) Reset() {
	*x = WatchRequest{}
	mi := &file_internal_module_kubernetes_api_server_watch_aggregator_watch_aggregator_proto_msgTypes[0]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *WatchRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*WatchRequest) ProtoMessage() {}

func (x *WatchRequest) ProtoReflect() protoreflect.Message {
	mi := &file_internal_module_kubernetes_api_server_watch_aggregator_watch_aggregator_proto_msgTypes[0]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use WatchRequest.ProtoReflect.Descriptor instead.
func (*WatchRequest) Descriptor() ([]byte, []int) {
	return file_internal_module_kubernetes_api_server_watch_aggregator_watch_aggregator_proto_rawDescGZIP(), []int{0}
}

func (x *WatchRequest) GetWatchId() string {
	if x != nil {
		return x.WatchId
	}
	return ""
}

func (x *WatchRequest) GetType() string {
	if x != nil {
		return x.Type
	}
	return ""
}

func (x *WatchRequest) GetWatchParams() *WatchParams {
	if x != nil {
		return x.WatchParams
	}
	return nil
}

type WatchParams struct {
	state               protoimpl.MessageState `protogen:"open.v1"`
	Group               string                 `protobuf:"bytes,1,opt,name=group,proto3" json:"group,omitempty"`
	Version             string                 `protobuf:"bytes,2,opt,name=version,proto3" json:"version,omitempty"`
	Resource            string                 `protobuf:"bytes,3,opt,name=resource,proto3" json:"resource,omitempty"`
	Namespace           string                 `protobuf:"bytes,4,opt,name=namespace,proto3" json:"namespace,omitempty"`
	ResourceVersion     *string                `protobuf:"bytes,5,opt,name=resource_version,proto3,oneof" json:"resource_version,omitempty"`
	AllowWatchBookmarks *bool                  `protobuf:"varint,6,opt,name=allow_watch_bookmarks,proto3,oneof" json:"allow_watch_bookmarks,omitempty"`
	SendInitialEvents   *bool                  `protobuf:"varint,7,opt,name=send_initial_events,proto3,oneof" json:"send_initial_events,omitempty"`
	FieldSelector       *string                `protobuf:"bytes,8,opt,name=field_selector,proto3,oneof" json:"field_selector,omitempty"`
	LabelSelector       *string                `protobuf:"bytes,9,opt,name=label_selector,proto3,oneof" json:"label_selector,omitempty"`
	unknownFields       protoimpl.UnknownFields
	sizeCache           protoimpl.SizeCache
}

func (x *WatchParams) Reset() {
	*x = WatchParams{}
	mi := &file_internal_module_kubernetes_api_server_watch_aggregator_watch_aggregator_proto_msgTypes[1]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *WatchParams) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*WatchParams) ProtoMessage() {}

func (x *WatchParams) ProtoReflect() protoreflect.Message {
	mi := &file_internal_module_kubernetes_api_server_watch_aggregator_watch_aggregator_proto_msgTypes[1]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use WatchParams.ProtoReflect.Descriptor instead.
func (*WatchParams) Descriptor() ([]byte, []int) {
	return file_internal_module_kubernetes_api_server_watch_aggregator_watch_aggregator_proto_rawDescGZIP(), []int{1}
}

func (x *WatchParams) GetGroup() string {
	if x != nil {
		return x.Group
	}
	return ""
}

func (x *WatchParams) GetVersion() string {
	if x != nil {
		return x.Version
	}
	return ""
}

func (x *WatchParams) GetResource() string {
	if x != nil {
		return x.Resource
	}
	return ""
}

func (x *WatchParams) GetNamespace() string {
	if x != nil {
		return x.Namespace
	}
	return ""
}

func (x *WatchParams) GetResourceVersion() string {
	if x != nil && x.ResourceVersion != nil {
		return *x.ResourceVersion
	}
	return ""
}

func (x *WatchParams) GetAllowWatchBookmarks() bool {
	if x != nil && x.AllowWatchBookmarks != nil {
		return *x.AllowWatchBookmarks
	}
	return false
}

func (x *WatchParams) GetSendInitialEvents() bool {
	if x != nil && x.SendInitialEvents != nil {
		return *x.SendInitialEvents
	}
	return false
}

func (x *WatchParams) GetFieldSelector() string {
	if x != nil && x.FieldSelector != nil {
		return *x.FieldSelector
	}
	return ""
}

func (x *WatchParams) GetLabelSelector() string {
	if x != nil && x.LabelSelector != nil {
		return *x.LabelSelector
	}
	return ""
}

var File_internal_module_kubernetes_api_server_watch_aggregator_watch_aggregator_proto protoreflect.FileDescriptor

var file_internal_module_kubernetes_api_server_watch_aggregator_watch_aggregator_proto_rawDesc = string([]byte{
	0x0a, 0x4d, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x6c, 0x2f, 0x6d, 0x6f, 0x64, 0x75, 0x6c,
	0x65, 0x2f, 0x6b, 0x75, 0x62, 0x65, 0x72, 0x6e, 0x65, 0x74, 0x65, 0x73, 0x5f, 0x61, 0x70, 0x69,
	0x2f, 0x73, 0x65, 0x72, 0x76, 0x65, 0x72, 0x2f, 0x77, 0x61, 0x74, 0x63, 0x68, 0x5f, 0x61, 0x67,
	0x67, 0x72, 0x65, 0x67, 0x61, 0x74, 0x6f, 0x72, 0x2f, 0x77, 0x61, 0x74, 0x63, 0x68, 0x5f, 0x61,
	0x67, 0x67, 0x72, 0x65, 0x67, 0x61, 0x74, 0x6f, 0x72, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12,
	0x2c, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x6b, 0x75,
	0x62, 0x65, 0x72, 0x6e, 0x65, 0x74, 0x65, 0x73, 0x5f, 0x61, 0x70, 0x69, 0x2e, 0x77, 0x61, 0x74,
	0x63, 0x68, 0x5f, 0x61, 0x67, 0x67, 0x72, 0x65, 0x67, 0x61, 0x74, 0x6f, 0x72, 0x1a, 0x1b, 0x62,
	0x75, 0x66, 0x2f, 0x76, 0x61, 0x6c, 0x69, 0x64, 0x61, 0x74, 0x65, 0x2f, 0x76, 0x61, 0x6c, 0x69,
	0x64, 0x61, 0x74, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0xc8, 0x02, 0x0a, 0x0c, 0x57,
	0x61, 0x74, 0x63, 0x68, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x23, 0x0a, 0x08, 0x77,
	0x61, 0x74, 0x63, 0x68, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x42, 0x07, 0xba,
	0x48, 0x04, 0x72, 0x02, 0x20, 0x01, 0x52, 0x08, 0x77, 0x61, 0x74, 0x63, 0x68, 0x5f, 0x69, 0x64,
	0x12, 0x29, 0x0a, 0x04, 0x74, 0x79, 0x70, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x42, 0x15,
	0xba, 0x48, 0x12, 0x72, 0x10, 0x52, 0x05, 0x77, 0x61, 0x74, 0x63, 0x68, 0x52, 0x07, 0x75, 0x6e,
	0x77, 0x61, 0x74, 0x63, 0x68, 0x52, 0x04, 0x74, 0x79, 0x70, 0x65, 0x12, 0x5d, 0x0a, 0x0c, 0x77,
	0x61, 0x74, 0x63, 0x68, 0x5f, 0x70, 0x61, 0x72, 0x61, 0x6d, 0x73, 0x18, 0x03, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x39, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74,
	0x2e, 0x6b, 0x75, 0x62, 0x65, 0x72, 0x6e, 0x65, 0x74, 0x65, 0x73, 0x5f, 0x61, 0x70, 0x69, 0x2e,
	0x77, 0x61, 0x74, 0x63, 0x68, 0x5f, 0x61, 0x67, 0x67, 0x72, 0x65, 0x67, 0x61, 0x74, 0x6f, 0x72,
	0x2e, 0x57, 0x61, 0x74, 0x63, 0x68, 0x50, 0x61, 0x72, 0x61, 0x6d, 0x73, 0x52, 0x0c, 0x77, 0x61,
	0x74, 0x63, 0x68, 0x5f, 0x70, 0x61, 0x72, 0x61, 0x6d, 0x73, 0x3a, 0x88, 0x01, 0xba, 0x48, 0x84,
	0x01, 0x1a, 0x81, 0x01, 0x0a, 0x1f, 0x77, 0x61, 0x74, 0x63, 0x68, 0x5f, 0x70, 0x61, 0x72, 0x61,
	0x6d, 0x73, 0x5f, 0x72, 0x65, 0x71, 0x75, 0x69, 0x72, 0x65, 0x64, 0x5f, 0x66, 0x6f, 0x72, 0x5f,
	0x77, 0x61, 0x74, 0x63, 0x68, 0x12, 0x2a, 0x77, 0x61, 0x74, 0x63, 0x68, 0x5f, 0x70, 0x61, 0x72,
	0x61, 0x6d, 0x73, 0x20, 0x69, 0x73, 0x20, 0x72, 0x65, 0x71, 0x75, 0x69, 0x72, 0x65, 0x64, 0x20,
	0x66, 0x6f, 0x72, 0x20, 0x74, 0x79, 0x70, 0x65, 0x20, 0x3d, 0x3d, 0x20, 0x77, 0x61, 0x74, 0x63,
	0x68, 0x1a, 0x32, 0x21, 0x28, 0x74, 0x68, 0x69, 0x73, 0x2e, 0x74, 0x79, 0x70, 0x65, 0x20, 0x3d,
	0x3d, 0x20, 0x27, 0x77, 0x61, 0x74, 0x63, 0x68, 0x27, 0x20, 0x26, 0x26, 0x20, 0x21, 0x68, 0x61,
	0x73, 0x28, 0x74, 0x68, 0x69, 0x73, 0x2e, 0x77, 0x61, 0x74, 0x63, 0x68, 0x5f, 0x70, 0x61, 0x72,
	0x61, 0x6d, 0x73, 0x29, 0x29, 0x22, 0xf3, 0x03, 0x0a, 0x0b, 0x57, 0x61, 0x74, 0x63, 0x68, 0x50,
	0x61, 0x72, 0x61, 0x6d, 0x73, 0x12, 0x14, 0x0a, 0x05, 0x67, 0x72, 0x6f, 0x75, 0x70, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x67, 0x72, 0x6f, 0x75, 0x70, 0x12, 0x21, 0x0a, 0x07, 0x76,
	0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x42, 0x07, 0xba, 0x48,
	0x04, 0x72, 0x02, 0x20, 0x01, 0x52, 0x07, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x12, 0x23,
	0x0a, 0x08, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09,
	0x42, 0x07, 0xba, 0x48, 0x04, 0x72, 0x02, 0x20, 0x01, 0x52, 0x08, 0x72, 0x65, 0x73, 0x6f, 0x75,
	0x72, 0x63, 0x65, 0x12, 0x1c, 0x0a, 0x09, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65,
	0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63,
	0x65, 0x12, 0x2f, 0x0a, 0x10, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x5f, 0x76, 0x65,
	0x72, 0x73, 0x69, 0x6f, 0x6e, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x48, 0x00, 0x52, 0x10, 0x72,
	0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x5f, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x88,
	0x01, 0x01, 0x12, 0x39, 0x0a, 0x15, 0x61, 0x6c, 0x6c, 0x6f, 0x77, 0x5f, 0x77, 0x61, 0x74, 0x63,
	0x68, 0x5f, 0x62, 0x6f, 0x6f, 0x6b, 0x6d, 0x61, 0x72, 0x6b, 0x73, 0x18, 0x06, 0x20, 0x01, 0x28,
	0x08, 0x48, 0x01, 0x52, 0x15, 0x61, 0x6c, 0x6c, 0x6f, 0x77, 0x5f, 0x77, 0x61, 0x74, 0x63, 0x68,
	0x5f, 0x62, 0x6f, 0x6f, 0x6b, 0x6d, 0x61, 0x72, 0x6b, 0x73, 0x88, 0x01, 0x01, 0x12, 0x35, 0x0a,
	0x13, 0x73, 0x65, 0x6e, 0x64, 0x5f, 0x69, 0x6e, 0x69, 0x74, 0x69, 0x61, 0x6c, 0x5f, 0x65, 0x76,
	0x65, 0x6e, 0x74, 0x73, 0x18, 0x07, 0x20, 0x01, 0x28, 0x08, 0x48, 0x02, 0x52, 0x13, 0x73, 0x65,
	0x6e, 0x64, 0x5f, 0x69, 0x6e, 0x69, 0x74, 0x69, 0x61, 0x6c, 0x5f, 0x65, 0x76, 0x65, 0x6e, 0x74,
	0x73, 0x88, 0x01, 0x01, 0x12, 0x2b, 0x0a, 0x0e, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x5f, 0x73, 0x65,
	0x6c, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x18, 0x08, 0x20, 0x01, 0x28, 0x09, 0x48, 0x03, 0x52, 0x0e,
	0x66, 0x69, 0x65, 0x6c, 0x64, 0x5f, 0x73, 0x65, 0x6c, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x88, 0x01,
	0x01, 0x12, 0x2b, 0x0a, 0x0e, 0x6c, 0x61, 0x62, 0x65, 0x6c, 0x5f, 0x73, 0x65, 0x6c, 0x65, 0x63,
	0x74, 0x6f, 0x72, 0x18, 0x09, 0x20, 0x01, 0x28, 0x09, 0x48, 0x04, 0x52, 0x0e, 0x6c, 0x61, 0x62,
	0x65, 0x6c, 0x5f, 0x73, 0x65, 0x6c, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x88, 0x01, 0x01, 0x42, 0x13,
	0x0a, 0x11, 0x5f, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x5f, 0x76, 0x65, 0x72, 0x73,
	0x69, 0x6f, 0x6e, 0x42, 0x18, 0x0a, 0x16, 0x5f, 0x61, 0x6c, 0x6c, 0x6f, 0x77, 0x5f, 0x77, 0x61,
	0x74, 0x63, 0x68, 0x5f, 0x62, 0x6f, 0x6f, 0x6b, 0x6d, 0x61, 0x72, 0x6b, 0x73, 0x42, 0x16, 0x0a,
	0x14, 0x5f, 0x73, 0x65, 0x6e, 0x64, 0x5f, 0x69, 0x6e, 0x69, 0x74, 0x69, 0x61, 0x6c, 0x5f, 0x65,
	0x76, 0x65, 0x6e, 0x74, 0x73, 0x42, 0x11, 0x0a, 0x0f, 0x5f, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x5f,
	0x73, 0x65, 0x6c, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x42, 0x11, 0x0a, 0x0f, 0x5f, 0x6c, 0x61, 0x62,
	0x65, 0x6c, 0x5f, 0x73, 0x65, 0x6c, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x42, 0x73, 0x5a, 0x71, 0x67,
	0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62,
	0x2d, 0x6f, 0x72, 0x67, 0x2f, 0x63, 0x6c, 0x75, 0x73, 0x74, 0x65, 0x72, 0x2d, 0x69, 0x6e, 0x74,
	0x65, 0x67, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2f, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2d,
	0x61, 0x67, 0x65, 0x6e, 0x74, 0x2f, 0x76, 0x31, 0x37, 0x2f, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x6e,
	0x61, 0x6c, 0x2f, 0x6d, 0x6f, 0x64, 0x75, 0x6c, 0x65, 0x2f, 0x6b, 0x75, 0x62, 0x65, 0x72, 0x6e,
	0x65, 0x74, 0x65, 0x73, 0x5f, 0x61, 0x70, 0x69, 0x2f, 0x73, 0x65, 0x72, 0x76, 0x65, 0x72, 0x2f,
	0x77, 0x61, 0x74, 0x63, 0x68, 0x5f, 0x61, 0x67, 0x67, 0x72, 0x65, 0x67, 0x61, 0x74, 0x6f, 0x72,
	0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
})

var (
	file_internal_module_kubernetes_api_server_watch_aggregator_watch_aggregator_proto_rawDescOnce sync.Once
	file_internal_module_kubernetes_api_server_watch_aggregator_watch_aggregator_proto_rawDescData []byte
)

func file_internal_module_kubernetes_api_server_watch_aggregator_watch_aggregator_proto_rawDescGZIP() []byte {
	file_internal_module_kubernetes_api_server_watch_aggregator_watch_aggregator_proto_rawDescOnce.Do(func() {
		file_internal_module_kubernetes_api_server_watch_aggregator_watch_aggregator_proto_rawDescData = protoimpl.X.CompressGZIP(unsafe.Slice(unsafe.StringData(file_internal_module_kubernetes_api_server_watch_aggregator_watch_aggregator_proto_rawDesc), len(file_internal_module_kubernetes_api_server_watch_aggregator_watch_aggregator_proto_rawDesc)))
	})
	return file_internal_module_kubernetes_api_server_watch_aggregator_watch_aggregator_proto_rawDescData
}

var file_internal_module_kubernetes_api_server_watch_aggregator_watch_aggregator_proto_msgTypes = make([]protoimpl.MessageInfo, 2)
var file_internal_module_kubernetes_api_server_watch_aggregator_watch_aggregator_proto_goTypes = []any{
	(*WatchRequest)(nil), // 0: gitlab.agent.kubernetes_api.watch_aggregator.WatchRequest
	(*WatchParams)(nil),  // 1: gitlab.agent.kubernetes_api.watch_aggregator.WatchParams
}
var file_internal_module_kubernetes_api_server_watch_aggregator_watch_aggregator_proto_depIdxs = []int32{
	1, // 0: gitlab.agent.kubernetes_api.watch_aggregator.WatchRequest.watch_params:type_name -> gitlab.agent.kubernetes_api.watch_aggregator.WatchParams
	1, // [1:1] is the sub-list for method output_type
	1, // [1:1] is the sub-list for method input_type
	1, // [1:1] is the sub-list for extension type_name
	1, // [1:1] is the sub-list for extension extendee
	0, // [0:1] is the sub-list for field type_name
}

func init() {
	file_internal_module_kubernetes_api_server_watch_aggregator_watch_aggregator_proto_init()
}
func file_internal_module_kubernetes_api_server_watch_aggregator_watch_aggregator_proto_init() {
	if File_internal_module_kubernetes_api_server_watch_aggregator_watch_aggregator_proto != nil {
		return
	}
	file_internal_module_kubernetes_api_server_watch_aggregator_watch_aggregator_proto_msgTypes[1].OneofWrappers = []any{}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: unsafe.Slice(unsafe.StringData(file_internal_module_kubernetes_api_server_watch_aggregator_watch_aggregator_proto_rawDesc), len(file_internal_module_kubernetes_api_server_watch_aggregator_watch_aggregator_proto_rawDesc)),
			NumEnums:      0,
			NumMessages:   2,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_internal_module_kubernetes_api_server_watch_aggregator_watch_aggregator_proto_goTypes,
		DependencyIndexes: file_internal_module_kubernetes_api_server_watch_aggregator_watch_aggregator_proto_depIdxs,
		MessageInfos:      file_internal_module_kubernetes_api_server_watch_aggregator_watch_aggregator_proto_msgTypes,
	}.Build()
	File_internal_module_kubernetes_api_server_watch_aggregator_watch_aggregator_proto = out.File
	file_internal_module_kubernetes_api_server_watch_aggregator_watch_aggregator_proto_goTypes = nil
	file_internal_module_kubernetes_api_server_watch_aggregator_watch_aggregator_proto_depIdxs = nil
}
